<!--
SPDX-FileCopyrightText: 2024 shadPS4 Emulator Project
SPDX-License-Identifier: GPL-2.0-or-later
-->

# shadPS4

shadPS4 is an early PS4 emulator for Windows and Linux written in C++

[![Video](http://img.youtube.com/vi/AAHoNzhHyCU/0.jpg)](https://www.youtube.com/watch?v=AAHoNzhHyCU)

To discuss shadPS4 development or suggest ideas, join the [Discord server](https://discord.gg/MyZRaBngxA)

Check us on [X (twitter)](https://x.com/shadps4)

# Status

Early progress, a small amount of PS4 SDK demos and homebrew games working.

# Why?

The project started as a fun project. Due to limited free time, it will probably take a while before shadPS4 is able to run anything decent, but we're trying to make small, regular commits.

# Build

## Windows

Check building instructions in [Windows build](https://github.com/shadps4-emu/shadPS4/blob/main/documents/building-windows.md)

## Linux

Check building instructions in [Linux build](https://github.com/shadps4-emu/shadPS4/blob/main/documents/linux_building.md)

## Build status

|Platform|Build status|
|--------|------------|
|Windows SDL Build|[![Windows-sdl](https://github.com/shadps4-emu/shadPS4/actions/workflows/windows.yml/badge.svg)](https://github.com/shadps4-emu/shadPS4/actions/workflows/windows.yml)
|Windows Qt Build|[![Windows-qt](https://github.com/shadps4-emu/shadPS4/actions/workflows/windows-qt.yml/badge.svg)](https://github.com/shadps4-emu/shadPS4/actions/workflows/windows-qt.yml)
|Linux SDL Build|[![Linux-sdl](https://github.com/shadps4-emu/shadPS4/actions/workflows/linux.yml/badge.svg)](https://github.com/shadps4-emu/shadPS4/actions/workflows/linux.yml)
|Linux Qt Build|[![Linux-qt](https://github.com/shadps4-emu/shadPS4/actions/workflows/linux-qt.yml/badge.svg)](https://github.com/shadps4-emu/shadPS4/actions/workflows/linux-qt.yml)

# Executing a program

You can copy and paste the path to the CMD or drag the executable file to the application.
```
C:\Users\******\shadPS4.exe C:\******\game_eboot.bin
```

# Main team

- [georgemoralis](https://github.com/georgemoralis)
- [raphaelthegreat](https://github.com/raphaelthegreat)
- [psucien](https://github.com/psucien)
- [skmp](https://github.com/skmp)
- [wheremyfoodat](https://github.com/wheremyfoodat)
- [raziel1000](https://github.com/raziel1000)

Logo is done by [Xphalnos](https://github.com/Xphalnos)

# Contribution

We currently accept any contribution, just open a PR and we will check it :)

# Sister Projects

- [Panda3DS](https://github.com/wheremyfoodat/Panda3DS): An multiplatform 3DS emulator from our co-author wheremyfoodat
- [hydra](https://github.com/hydra-emu/hydra): An multisystem, multiplatform emulator (chip-8,GB,NES,N64) from Paris
